# SourcePath: libffi/20170118dev
Summary: Portable foreign function interface library
Name: sony-target-dev-libffi
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libffi
Version: 3.2.1
Release: 14010002
License: BSD
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://sourceware.org/libffi/
Source0: libffi-%{version}.tar.gz
patch0: libffi-3.2.1-target-pkg-config-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
Compilers for high level languages generate code that follow certain
conventions. These conventions are necessary, in part, for separate
compilation to work. One such convention is the "calling convention".
The calling convention is a set of assumptions made by the compiler
about where function arguments will be found on entry to a function. A
calling convention also specifies where the return value for a function
is found.

%package -n %{pkgname}
Summary: Portable foreign function interface library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Compilers for high level languages generate code that follow certain
conventions. These conventions are necessary, in part, for separate
compilation to work. One such convention is the "calling convention".
The calling convention is a set of assumptions made by the compiler
about where function arguments will be found on entry to a function. A
calling convention also specifies where the return value for a function
is found.

%prep
%setup -n libffi-%{version}
%patch0 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

# Move target libraries from /usr/lib64 to /usr/lib
#mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
#mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib64_dir}/* %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

# 6.x
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libffi.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libffi.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libffi.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libffi.so.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libffi.so.6.0.4
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libffi.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/libffi-3.2.1/ffi.h
%{sony_target_dir}%{sony_target_dev_include_dir}/libffi-3.2.1/ffitarget.h

%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Wed Jan 18 2017 Sony Corporation
- version-up 3.0.13 -> 3.2.1

* Tue Apr 02 2013 Sony Corporation
- Initial build
